Skip to content
Permalink
Browse files

Update setup.py and add python_requires

  • Loading branch information
jeromelebleu committed Jan 2, 2020
1 parent 09434af commit b665cc442d6d85803e8775f6034b1e531b3588e8
Showing with 2 additions and 5 deletions.
  1. +2 −5 setup.py
@@ -1,5 +1,4 @@
#!/usr/bin/env python
# -*- coding: utf-8 -*-

"""
A setuptools based setup module.
@@ -8,9 +7,6 @@
https://packaging.python.org/en/latest/distributing.html
"""

from __future__ import unicode_literals

import io
from os import path

try:
@@ -42,7 +38,7 @@ def get_requirements(requirements_file):
path.join(HERE, "postgresql-requirements.txt"))
LDAP_REQUIRES = get_requirements(path.join(HERE, "ldap-requirements.txt"))

with io.open(path.join(HERE, "README.rst"), encoding="utf-8") as readme:
with open(path.join(HERE, "README.rst")) as readme:
LONG_DESCRIPTION = readme.read()

setup(
@@ -74,6 +70,7 @@ def get_requirements(requirements_file):
scripts=["bin/modoboa-admin.py"],
install_requires=INSTALL_REQUIRES,
use_scm_version=True,
python_requires=">=3.4",
setup_requires=["setuptools_scm"],
extras_require={
"ldap": LDAP_REQUIRES,

0 comments on commit b665cc4

Please sign in to comment.
You can’t perform that action at this time.